OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.ES2Compatibility

Contents

- Functions
- Tokens

Description

All raw functions, tokens and types from the ARB_ES2_compatibility extension, see http://www.opengl.org/registry/specs/ARB/ES2_compatibility.txt.

Synopsis

- glReleaseShaderCompiler :: IO ()
- glShaderBinary :: GLsizei -> Ptr GLuint -> GLenum -> Ptr a -> GLsizei -> IO ()
- glGetShaderPrecisionFormat :: GLenum -> GLenum -> Ptr GLint -> Ptr GLint -> IO ()
- glDepthRangef :: GLfloat -> GLfloat -> IO ()
- glClearDepthf :: GLfloat -> IO ()
- gl_FIXED :: GLenum
- gl_IMPLEMENTATION_COLOR_READ_TYPE :: GLenum
- gl_IMPLEMENTATION_COLOR_READ_FORMAT :: GLenum
- gl_LOW_FLOAT :: GLenum
- gl_MEDIUM_FLOAT :: GLenum
- gl_HIGH_FLOAT :: GLenum
- gl_LOW_INT :: GLenum
- gl_MEDIUM_INT :: GLenum
- gl_HIGH_INT :: GLenum
- gl_SHADER_COMPILER :: GLenum
- gl_SHADER_BINARY_FORMATS :: GLenum
- gl_NUM_SHADER_BINARY_FORMATS :: GLenum
- gl_MAX_VERTEX_UNIFORM_VECTORS :: GLenum
- gl_MAX_VARYING_VECTORS :: GLenum
- gl_MAX_FRAGMENT_UNIFORM_VECTORS :: GLenum
- gl_RGB565 :: GLenum

# Functions

glReleaseShaderCompiler :: IO ()

glShaderBinary :: GLsizei -> Ptr GLuint -> GLenum -> Ptr a -> GLsizei -> IO ()

glGetShaderPrecisionFormat :: GLenum -> GLenum -> Ptr GLint -> Ptr GLint -> IO ()

glDepthRangef :: GLfloat -> GLfloat -> IO ()

glClearDepthf :: GLfloat -> IO ()

# Tokens

gl_FIXED :: GLenum

gl_IMPLEMENTATION_COLOR_READ_TYPE :: GLenum

gl_IMPLEMENTATION_COLOR_READ_FORMAT :: GLenum

gl_LOW_FLOAT :: GLenum

gl_MEDIUM_FLOAT :: GLenum

gl_HIGH_FLOAT :: GLenum

gl_LOW_INT :: GLenum

gl_MEDIUM_INT :: GLenum

gl_HIGH_INT :: GLenum

gl_SHADER_COMPILER :: GLenum

gl_SHADER_BINARY_FORMATS :: GLenum

gl_NUM_SHADER_BINARY_FORMATS :: GLenum

gl_MAX_VERTEX_UNIFORM_VECTORS :: GLenum

gl_MAX_VARYING_VECTORS :: GLenum

gl_MAX_FRAGMENT_UNIFORM_VECTORS :: GLenum

gl_RGB565 :: GLenum